Package org.drinkless.tdlib

# Class TdApi.ChatStatisticsInteractionInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatStatisticsInteractionInfo

Enclosing class:
  `TdApi`

public static class TdApi.ChatStatisticsInteractionInfo extends TdApi.Object
Contains statistics about interactions with a message sent in the chat or a story posted on behalf of the chat.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `forwardCount`
  Number of times the object was forwarded.
  `TdApi.ChatStatisticsObjectType`
  `objectType`
  Type of the object.
  `int`
  `reactionCount`
  Number of times reactions were added to the object.
  `int`
  `viewCount`
  Number of times the object was viewed.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatStatisticsInteractionInfo()`
  Contains statistics about interactions with a message sent in the chat or a story posted on behalf of the chat.
  `ChatStatisticsInteractionInfo(TdApi.ChatStatisticsObjectType objectType, int viewCount, int forwardCount, int reactionCount)`
  Contains statistics about interactions with a message sent in the chat or a story posted on behalf of the chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### objectType

    public TdApi.ChatStatisticsObjectType objectType
    Type of the object.

  - ### viewCount

    public int viewCount
    Number of times the object was viewed.

  - ### forwardCount

    public int forwardCount
    Number of times the object was forwarded.

  - ### reactionCount

    public int reactionCount
    Number of times reactions were added to the object.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatStatisticsInteractionInfo

    public ChatStatisticsInteractionInfo()
    Contains statistics about interactions with a message sent in the chat or a story posted on behalf of the chat.

  - ### ChatStatisticsInteractionInfo

    public ChatStatisticsInteractionInfo(TdApi.ChatStatisticsObjectType objectType, int viewCount, int forwardCount, int reactionCount)
    Contains statistics about interactions with a message sent in the chat or a story posted on behalf of the chat.
    Parameters:
      `objectType` - Type of the object.
      `viewCount` - Number of times the object was viewed.
      `forwardCount` - Number of times the object was forwarded.
      `reactionCount` - Number of times reactions were added to the object.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR